<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.9.1"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Media Server: gst::Caps Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Media Server
   &#160;<span id="projectnumber">1.0</span>
   </div>
   <div id="projectbrief">Simple MediaServer with effects and filters</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.1 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search','.html');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(document).ready(function(){initNavTree('classgst_1_1Caps.html',''); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a>  </div>
  <div class="headertitle">
<div class="title">gst::Caps Class Reference</div>  </div>
</div><!--header-->
<div class="contents">
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:ae850f143a60a6b932fe58f2277b4982b"><td class="memItemLeft" align="right" valign="top"><a id="ae850f143a60a6b932fe58f2277b4982b"></a>
&#160;</td><td class="memItemRight" valign="bottom"><b>Caps</b> (GstCaps *ref)</td></tr>
<tr class="separator:ae850f143a60a6b932fe58f2277b4982b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6f8d7658af9431e3faf7c46dce50084d"><td class="memItemLeft" align="right" valign="top"><a id="a6f8d7658af9431e3faf7c46dce50084d"></a>
GstCaps *&#160;</td><td class="memItemRight" valign="bottom"><b>ref</b> ()</td></tr>
<tr class="separator:a6f8d7658af9431e3faf7c46dce50084d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1bf1acc935e179a9ecc3e3c9ba7fdc4c"><td class="memItemLeft" align="right" valign="top"><a id="a1bf1acc935e179a9ecc3e3c9ba7fdc4c"></a>
std::string&#160;</td><td class="memItemRight" valign="bottom"><b>to_string</b> ()</td></tr>
<tr class="separator:a1bf1acc935e179a9ecc3e3c9ba7fdc4c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9f77ce4311cf81340f5d3e9b261f6258"><td class="memItemLeft" align="right" valign="top"><a id="a9f77ce4311cf81340f5d3e9b261f6258"></a>
<a class="el" href="classgst_1_1Structure.html">Structure</a>&#160;</td><td class="memItemRight" valign="bottom"><b>structure</b> (uint32_t idx)</td></tr>
<tr class="separator:a9f77ce4311cf81340f5d3e9b261f6258"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a66cfec61771ae8a80d6036feb44dc69f"><td class="memItemLeft" align="right" valign="top"><a id="a66cfec61771ae8a80d6036feb44dc69f"></a>
bool&#160;</td><td class="memItemRight" valign="bottom"><b>empty</b> ()</td></tr>
<tr class="separator:a66cfec61771ae8a80d6036feb44dc69f"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<hr/>The documentation for this class was generated from the following files:<ul>
<li><a class="el" href="Caps_8hpp_source.html">Caps.hpp</a></li>
<li>Caps.cpp</li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="namespacegst.html">gst</a></li><li class="navelem"><a class="el" href="classgst_1_1Caps.html">Caps</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.1 </li>
  </ul>
</div>
</body>
</html>
